> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Object Removal

> Remove objects from images using AI-powered object removal.

## Request

Make a `POST` request to below endpoint and pass the required parameters in the request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v6/interior/object_removal' \
```

## Body

```json json theme={null}
{
    "key":"",
    "init_image": "https://i.pinimg.com/1200x/3f/5e/e3/3f5ee397f73d2ba20952d20698616fd3.jpg",
    "object_name":"remove sofa from the image",
    "base64": false,
    "webhook": null,
    "track_id": null
}
```


## OpenAPI

````yaml POST /interior/object_removal
openapi: 3.1.0
info:
  title: ModelsLab Interior API
  description: AI-powered interior design and architectural visualization API
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api/v6
    description: Main API server
security: []
paths:
  /interior/object_removal:
    post:
      summary: Object removal
      description: Remove objects from images using AI-powered object removal
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjectRemovalRequest'
      responses:
        '200':
          description: Object removal response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/SuccessInteriorResponse'
                  - $ref: '#/components/schemas/ProcessingInteriorResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ObjectRemovalRequest:
      type: object
      required:
        - key
        - init_image
        - object_name
      properties:
        key:
          type: string
          description: Your API Key used for authenticating your request
        init_image:
          type: string
          format: uri
          description: Image from which object will be removed
        object_name:
          type: string
          description: Object name on the image that needs to be removed
        base64:
          type: boolean
          default: false
          description: >-
            Specifies whether the response should be returned as a base64
            string. Defaults to false
        webhook:
          type: string
          format: uri
          nullable: true
          description: >-
            A URL to receive a POST API call once the image generation is
            complete
        track_id:
          type: integer
          nullable: true
          description: >-
            An ID returned in the API response, used to identify the webhook
            request
    SuccessInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        generationTime:
          type: number
          description: Time taken to generate the result in seconds
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
            format: uri
          description: Array of URLs to the generated images
        proxy_links:
          type: array
          items:
            type: string
            format: uri
          description: Array of proxy URLs for the generated images
        meta:
          type: object
          description: Metadata about the generation process and parameters used
    ProcessingInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - processing
        tip:
          type: string
          description: >-
            Your image is processing in background, you can get this image using
            fetch API
        eta:
          type: integer
          description: Estimated time remaining in seconds
        message:
          type: string
          description: Try to fetch request after seconds estimated
        fetch_result:
          type: string
          format: uri
          description: URL to fetch the result when processing is complete
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
          description: Empty array during processing
        meta:
          type: object
          description: Metadata about the generation process and parameters used
        future_links:
          type: array
          items:
            type: string
            format: uri
          description: >-
            Array of URLs where the files will be available once processing is
            complete
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message

````